<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CommentsClients extends Model
{
    use HasFactory;
      protected $table = 'comments_clients';
    protected $fillable = [
        'Comment',
        'CommentEn',
        'Responsible',
        'Customer',
        'Code',
        'Date',
        'Rate',
        'Visit_Cost',
        'Note',
        'Time',
        'Type',
        'lat',
        'lng',



    ];

               public function Responsible()
    {
        return $this->belongsTo(Employess::class,'Responsible');
    }

               public function Customer()
    {
        return $this->belongsTo(Customers::class,'Customer');
    }
               public function Rate()
    {
        return $this->belongsTo(CustomersRateTypes::class,'Rate');
    }
    public function Type()
    {
        return $this->belongsTo(InterviewsTypes::class,'Type');
    }
}
